/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

body {
    font-family: var(--f-secundaria);
    font-size: 1.125rem;
    font-weight: 300 !important;
    line-height: 1.3em;

    p {
        margin-bottom: 20px;

        &:last-child {
            margin-bottom: 0 !important;
        }

        b, strong {
            font-weight: 500;
        }
    }

    a {
        transition: all 0.35s ease;
    }
}

h1, h2, h3, h4, h5, h6 {
    line-height: 1.2em;
    font-family: var(--f-primaria);
}

.tit {
    h1 {
        font-weight: 100 !important;
        font-size: clamp(34px, 5vw, 55px);
        letter-spacing: -1px;
    }

    h2 {
        font-weight: 100 !important;
        font-size: clamp(26px, 3vw, 36px);
    }

    h3 {
        font-weight: 200 !important;
        font-size: clamp(24px, 2vw, 28px);
    }

    h4 {
        font-weight: 200 !important;
        font-size: clamp(18px, 1.5vw, 20px);
    }

    &.h1 {
        h2 {
            font-weight: 200 !important;
            font-size: clamp(28px, 4vw, 40px);
        }
    }
}

.subtit {
    h1 {
        font-weight: 100 !important;
        font-size: clamp(28px, 4vw, 40px);
    }

    h2 {
        font-weight: 100 !important;
        font-size: clamp(24px, 2.5vw, 28px);
    }

    h3 {
        font-weight: 200 !important;
        font-size: clamp(18px, 1.5vw, 22px);
    }

    h4 {
        font-weight: 200 !important;
        font-size: clamp(16px, 1.5vw, 18px);
    }
}

.subtit-p {
    p {
        font-weight: 300;
        font-size: clamp(18px, 1vw, 20px);
        line-height: 1.2em;
    }
}

.f200 {
    font-weight: 200;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 200;
    }
}

.f300 {
    font-weight: 300;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 300;
    }
}

.f400 {
    font-weight: 400;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 400;
    }
}

.f500 {
    font-weight: 500;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 500;
    }
}

.f600 {
    font-weight: 600;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 600;
    }
}

.f700 {
    font-weight: 700;

    p, h1, h2, h3, h4, h5, h6 {
        font-weight: 700;
    }
}

.c-gris {
    color: var(--c-gris-medio);
}

.c-blanco {
    color: var(--c-blanco);
}

.lista {
    ul {
        list-style: none;
        margin: 0 0 0 25px;

        li {
            position: relative;
            margin-bottom: 10px;

            &::before {
                content: "";
                position: absolute;
                background-color: var(--c-gris-azul);
                width: 10px;
                height: 10px;
                top: 7px;
                left: -20px;
                border-radius: 20px;
            }
        }
    }
}

.bg-blur {
    backdrop-filter: blur(3px);
}

/* MENÚ MÓVIL */
.menu-mv a.dialog-close-button {
    text-decoration: none;
}

/* ----- RESPONSIVE ------ */

@media screen and (max-width:1024px) {

}

@media screen and (max-width:767px) {
    .tabla-cookies {
        overflow-x: scroll;
    }
}